/* $XFree86: $ */

/*
 *----------------------------------------------------------------------------
 * Filename: iegdctl.h
 * $Revision: 1.5 $
 *----------------------------------------------------------------------------
 *
 * Copyright (c) Intel Corporation (2004 - 2005).
 *
 * The source code contained or described herein and all documents
 * related to the source code ("Material") are owned by Intel
 * Corporation or its suppliers or licensors.  Title to the Material
 * remains with Intel Corporation or it suppliers and licensors.  The
 * Material contains trade secrets and proprietary and confidential 
 * information of Intel or its suppliers and licensors.  The Material is
 * protected by worldwide copyright and trade secret laws and
 * treaty provisions.  No part of the Material may be used, copied,
 * reproduced, modified, published, uploaded, posted, transmitted,
 * distributed, or disclosed in any way without Intels prior express
 * written permission.
 *
 * No license under any patent, copyright, trade secret or other
 * intellectual property right is granted to or conferred upon you by
 * disclosure or delivery of the Materials, either expressly, by
 * implication, inducement, estoppel or otherwise.  Any license
 * under such intellectual property rights must be express
 * and approved by Intel in writing.
 *
 * File Description:
 *   Include file for protocol and client library
 *
 *----------------------------------------------------------------------------
 * Functions:
 * 
 *----------------------------------------------------------------------------
 * Authors:
 *  Bob Paauwe <bob.j.paauwe@intel.com>
 *
 *----------------------------------------------------------------------------
 */
/* $Xorg: Exp $ */

/* THIS IS NOT AN X CONSORTIUM STANDARD OR AN X PROJECT TEAM SPECIFICATION */

#ifndef _IEGDCTL_H_
#define _IEGDCTL_H_

#include <X11/Xfuncproto.h>
#include <X11/Xmd.h>

#define X_IegdQueryVersion	   0
#define X_IegdSetClientVersion	   1
#define X_IegdPutSurface           2
#define X_IegdGetDriverInfo        3
#define X_IegdGetConfigId	   4

#ifndef _IEGD_SERVER_

_XFUNCPROTOBEGIN

Bool IegdQueryVersion(
    Display*	/* dpy */,
    int*		/* majorVersion */,
    int*		/* minorVersion */
);

Bool IegdQueryExtension(
    Display*	/* dpy */,
    int*		/* event_base */,
    int*		/* error_base */
);

Bool IegdSetClientVersion(
    Display*	/* dpy */
);

Bool IegdGetDriverInfo(
    Display*	/* dpy */,
    char*	/* driver name */,
    char*       /* chipset name */,
    int*	/* driver major version */,
    int*	/* driver minor version */,
    int*	/* driver build number */,
    char*	/* driver build date */
);

/* Don't Use this function explicitly! used as 
 * a hack around to get config_id for portctl.
 */

Bool IegdGetConfigId(
    Display*	/* dpy */,
    int*	/* config_id  */
);


_XFUNCPROTOEND

#endif

#endif
